Subject: bug#16340: 24.3.50; Maximize to the left/right side of the screen (on Windows 7 & 8)

From: Juanma Barranquero <[email-masked]>
Date: Tue, 7 Jan 2014 00:04:17 +0100

On Mon, Jan 6, 2014 at 11:16 PM, Dani Moncayo <[email-masked]> wrote:

> "maximize to left/right" (unlike the standard
> "maximize") aren't "states" of a window, i.e. the OS simply tries to
> resize and relocate the window to occupy the corresponding half of the
> screen.

That's not really true, or at least, is not all the truth. Open
Notepad, grab it by the caption, and move it to the left or right;
Windows will "maximize it" to half-display left or right. Then grab it
again from the caption, and move it off the side of the display:
Windows restores its previous size. So the half-maximized left/right
is some sort of state of a window, it's not just a resizing, because
on a normal resizing Windows does not remember the previous dimensions
of the window. Vertical maximization (Win+Shift+Up) is also a
"sort-of-maximized" state that can be restored with Win+Shift-Down.

     J